# Retrieve graph rebuild data

Retrieves a paginated list of graph rebuild data, including total number of rebuilds. All parameters are optional.

Endpoint: GET /api/graph/v1/rebuilds
Version: v1.0
Security: OAuth2.0

## Query parameters:

  - `skip` (integer)
    The number of entities to skip for pagination.

  - `take` (integer)
    The number of entities to take for pagination. Valid values are between 1 and 100.

  - `startMonth` (integer)
    The start month filter for the graph rebuild entities.

  - `startYear` (integer)
    The start year filter for the graph rebuild entities.

## Response 200 fields (application/json):

  - `rebuilds` (array,null)
    Collection of Stylelabs.M.Web.Api.Models.Base.GraphRebuildResource objects representing rebuilds.

  - `rebuilds.start` (string, required)
    The timestamp when the graph rebuild started.

  - `rebuilds.end` (string,null)
    The timestamp when the graph rebuild ended if available.

  - `rebuilds.aborted` (boolean)
    Whether the graph rebuild was aborted.

  - `rebuilds.self` (object)
    Represents a link to a resource.

  - `rebuilds.self.href` (string,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `rebuilds.self.filename_properties` (array,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `rebuilds.self.title` (string,null)
    Gets or sets the title that describes this link.

  - `rebuilds.self.templated` (boolean)
    Gets or sets a value indicating whether the contained URI is a template.

  - `total_rebuilds` (integer)
    The total number of rebuilds available.

  - `returned_rebuilds` (integer)
    The number of rebuilds returned in the current response.

  - `offset` (integer)
    The offset used for the pagination of rebuilds.


## Response 400 fields

## Response 401 fields

## Response 403 fields
